{-|
Module      : Control.Concurrent.Bag.BufferType
Description : Providing a type for a buffer
Copyright   : (c) Bastian Holst, 2014
License     : BSD3
Maintainer  : bastianholst@gmx.de
Stability   : experimental
Portability : POSIX

This module only contains the type 'BufferType'.
-}
module Control.Concurrent.Bag.BufferType
 ( BufferType (..) )
where

-- | The type of a buffer. At this time you can only select between 'Queue' and
--   'Stack'.
data BufferType = Queue -- ^ A first in first out (FIFO) buffer.
                | Stack -- ^ A last in first out (LIFO) buffer.
